{
  "id": "45375608a6e38a1495ae3842",
  "source": "http",
  "type": "go-function",
  "title": "http.func ServeContent ¶",
  "content": "# http.func ServeContent ¶\n\n```\nfunc ServeContent(w ResponseWriter, req *Request, name string, modtime time.Time, content io.ReadSeeker)\n```\n\nServeContent replies to the request using the content in the\nprovided ReadSeeker. The main benefit of ServeContent over io.Copy\nis that it handles Range requests properly, sets the MIME type, and\nhandles If-Match, If-Unmodified-Since, If-None-Match, If-Modified-Since,\nand If-Range requests.",
  "url": "https://pkg.go.dev/http#func ServeContent ¶",
  "metadata": {
    "examples": "null",
    "import_path": "Standard library/net/http",
    "kind": "function",
    "package": "http",
    "signature": "func ServeContent(w ResponseWriter, req *Request, name string, modtime time.Time, content io.ReadSeeker)",
    "symbol": "func ServeContent ¶"
  },
  "hash": "03269d66f19b0fb2428038a9d4120d2d90969ab065bb31debcbb5d1e556f1cea",
  "timestamp": "2026-02-19T12:17:17.23753085+01:00"
}